0

I updeted yesterday all my packages in Miktex (after I got problems with longtable, which are not importent for my problem here). After this I got for my document a lot of errors. Before the package-update i did not get an error. Searching the problem, I found Documents depending on etexcmds not compiling. So I updated all packeges using Miktex, but still the error is there. Could somebody understand the error ? Is this a bug of the new version in the oberdiek-bundle from 09.12.2019 or an other package?

Thanks for help.

Hereby a small example:

\documentclass{article}
\usepackage{etexcmds}

\begin{document}   
    A
\end{document}

Ends with 2 errors, the log-file shows:

This is pdfTeX, Version 3.14159265-2.6-1.40.20 (MiKTeX 2.9.7250 64-bit) (preloaded format=pdflatex 2019.12.11)  11 DEC 2019 16:11
entering extended mode
**./Test.tex
(Test.tex
LaTeX2e <2019-10-01> patch level 3
("C:\Program Files\MiKTeX 2.9\tex/latex/base\article.cls"
Document Class: article 2019/10/25 v1.4k Standard LaTeX document class
("C:\Program Files\MiKTeX 2.9\tex/latex/base\size10.clo"
File: size10.clo 2019/10/25 v1.4k Standard LaTeX file (size option)
)
\c@part=\count80
\c@section=\count81
\c@subsection=\count82
\c@subsubsection=\count83
\c@paragraph=\count84
\c@subparagraph=\count85
\c@figure=\count86
\c@table=\count87
\abovecaptionskip=\skip41
\belowcaptionskip=\skip42
\bibindent=\dimen102
)
("C:\Program Files\MiKTeX 2.9\tex/generic/oberdiek\etexcmds.sty"
Package: etexcmds 2016/05/16 v1.6 Avoid name clashes with e-TeX commands (HO)

("C:\Program Files\MiKTeX 2.9\tex/generic/infwarerr\infwarerr.sty"
Package: infwarerr 2019/12/03 v1.5 Providing info/warning/error messages (HO)
)
("C:\Program Files\MiKTeX 2.9\tex/generic/iftex\ifluatex.sty"
Package: ifluatex 2019/10/25 v1.5 ifluatex legacy package. Use iftex instead.

("C:\Users\Nutzer\AppData\Roaming\MiKTeX\2.9\tex/latex/iftex\iftex.sty"
Package: iftex 2013/04/04 v0.2 Provides if(tex) conditional for PDFTeX, XeTeX, and LuaTeX
))
! Extra \fi.
l.236 \fi

I'm ignoring this; it doesn't match any \if.

! Extra \fi.
l.287 \fi

I'm ignoring this; it doesn't match any \if.

) (Test.aux)
\openout1 = `Test.aux'.

...
| improve this question | | | | |
  • 2
    Please make sure your miktex is fully up to date as both admin and user. Several packages have been relocated recently and miktex does not always like that. We can see from the log that you'll need update as both admin and user (hint: the AppData lines). The latest iftex I have on my system is from november 2019!! – daleif Dec 11 '19 at 15:35
  • The example compiles fine for me on a MikTeX system updated this morning. As daleif said you should update MikTeX in Admin and User mode. In order to keep the on-the-fly installer happy you should also run Tasks > Update package database in the MikTeX Console in Admin and User mode. – moewe Dec 11 '19 at 20:28
0

Thanks for the answers.

Here I will show my final solution and the way:

1) I tried to update the packages in Miktex Console in adminitrator mode AND in user mode. For both I tried to update the package database first (see Tasks - Update package datbase). After this I update all packages --> both mode have shown "There are currently no updates available" --> do not solve the problem because the iftex-package was not updated for the user (look into the log-file after compiling the tex-file shown above once again)

2) Second I tried do to this with CMD (as Admin and without). If you normally do not use the terminal, see https://docs.miktex.org/manual/mpm.html .
I could uninstall and install packages in admin mode (CMD must be started as ADMIN!!!). But for user mode ("mpm --verbose --uninstall iftex") it did not work. On CMD I found:

Sorry but "MiKTeX Package manger" did not succeed. The log file hopefully contains the infomration to get ...

The error in logifle shows:

2019-12-12 11:52:05,409+0100 INFO  mpmcli - starting: mpmcli 2.9.7043 (MiKTeX 2.9.7250 64-bit)
2019-12-12 11:52:05,409+0100 INFO  mpmcli - Operating on the private (per-user) MiKTeX setup
2019-12-12 11:52:06,683+0100 INFO  mpmcli - starting package maintenance...
2019-12-12 11:52:06,684+0100 INFO  mpmcli - installation directory: "C:\Users\Nutzer\AppData\Roaming\MiKTeX\2.9"
2019-12-12 11:52:06,684+0100 INFO  mpmcli - going to remove 10 file(s) (1 package(s))
2019-12-12 11:52:07,149+0100 INFO  mpmcli - removing package iftex...
2019-12-12 11:52:07,255+0100 FATAL mpmcli - MiKTeX encountered an internal error.
2019-12-12 11:52:07,255+0100 FATAL mpmcli - Info: keyName="iftex"
2019-12-12 11:52:07,255+0100 FATAL mpmcli - Source: Libraries\MiKTeX\Core\Cfg\Cfg.cpp
2019-12-12 11:52:07,255+0100 FATAL mpmcli - Line: 762

**--> no solution, the package was not updated **

3) I searched the sty.files "iftex.sty" normally used for admin (C:\Program Files\MiKTeX 2.9\tex\generic\iftex) and copy this to the place where all the sty-files for the user are (C:\Users\NUTZER\AppData\Roaming\MiKTeX\2.9\tex\latex\iftex) --> This solves the problem.

Maybe there is a more efficent solution (if someone knows, please give a request), but i can go forward with my work.

Hopefully this will help someone (no professionals like me) saving time (some hours)...

| improve this answer | | | | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.